@import url("https://fonts.googleapis.com/css2?family=Arvo:ital,wght@0,400;0,700;1,400;1,700&family=Merriweather:ital,opsz,wght@0,18..144,300..900;1,18..144,300..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Arvo:ital,wght@0,400;0,700;1,400;1,700&family=Bebas+Neue&family=Merriweather:ital,opsz,wght@0,18..144,300..900;1,18..144,300..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Anton&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Arvo:ital,wght@0,400;0,700;1,400;1,700&family=Bebas+Neue&family=Dosis:wght@200..800&family=Fira+Code:wght@300..700&family=Libre+Barcode+39&family=Merriweather:ital,opsz,wght@0,18..144,300..900;1,18..144,300..900&family=Playwrite+NZ+Guides&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100..900;1,100..900&family=Rubik:ital,wght@0,300..900;1,300..900&family=Tomorrow:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

:root {
  --blue: #0099da;
  --white: #ffffff;
  --black: #333333;
  --gray: #cccccc;
  --blue-dark: #084a79;
  --gray-dark: #757575;
  --p-color: #4f4f4f;
  --blue-light: #00b3ff;
  --yellow: #e2b811;
  /* --yellow: #cca60c; */
  --gray-htop: rgb(53, 72, 85);
  --black-dark: #000000;
  --Poppins-font: "Poppins", sans-serif;
  --Bebas-font: "Bebas Neue", sans-serif;
  --Fira-Code: "Fira Code", monospace;
  --padding: 30px 60px;
  --font-size-heading: 33px;
  --font-size-pragraph: 18px;
  --font-size-sub-heading: 25px;
}

* {
  padding: 0px;
  margin: 0px;
  box-sizing: border-box;
  scroll-behavior: smooth;
  font-family: var(--Poppins-font);
  -webkit-tap-highlight-color: transparent;
}

body {
  background-color: var(--white);
}

.blog-container {
  margin: 0 auto;
  padding: var(--padding);
  padding-top: 30px;
}
.navigation-lin {
  display: flex;
  align-items: center;
  gap: 10px;
  margin-bottom: 15px;
  /* padding-left: 25px; */
  span,
  a {
    text-decoration: none;

    font-size: 13px;
    font-weight: 500;
    color: var(--p-color);
    letter-spacing: 0.4px;
  }
  i {
    color: var(--blue);
    font-size: 14px;
  }
  span {
    /* letter-spacing: 1px; */
    cursor: pointer;
    font-weight: 600;
  }
}
.blog-side-section {
  display: flex;
  gap: 30px;
  align-items: start;
}
.blog-side-section .left-side-blog {
  width: 68%;
  border: 1px solid #e0e0e0;
  border-radius: 8px;
  margin-bottom: 20px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  padding: 20px;
  border-radius: 4px;
  padding-top: 50px;

  position: relative;

  .navigation-lin {
    position: absolute;
    left: 20px;
    top: -13px;
    background-color: var(--white);
    padding: 3px 20px;
    /* box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1); */

    /* border: 1px solid; */
  }
}

.blog-side-section .left-side-blog .author-info {
  display: flex;
  align-items: end;
  justify-content: space-between;
  gap: 30px;
  /* margin-bottom: 15px; */

  .div-auth {
    display: flex;
    align-items: center;
    gap: 12px;
  }

  .author-image {
    min-width: 50px;
    height: 50px;
    border-radius: 50%;
    border: 1px solid var(--blue-light);
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .category,
  .viewer,
  .post-date,
  .author-name {
    font-size: 15px;
    font-weight: 600;
    text-transform: capitalize;
    color: var(--p-color);
    letter-spacing: 0.6px;
    line-height: 0px;
    font-style: italic;
  }
  .post-date {
    font-size: 14px;
  }
  .author-name {
    color: var(--blue-dark);
  }
}
.post-date {
  line-height: 0px;
}
.viewer {
  font-size: 14px;
  i {
    transform: rotate(90deg);
  }
}

.social-div {
  display: flex;
  align-items: center;
  gap: 10px;

  img {
    width: 40px;
  }
}

.title-img {
  width: 100%;
  height: auto;
  margin: 10px 0px;
  border-radius: 8px;
  margin-bottom: 35px;
}

h1 {
  font-size: 30px;
  font-weight: 700;
  color: var(--black);
  line-height: 1.2;
  margin-bottom: 18px;
  color: var(--blue-dark);
}
.short-dec,
.blog-contnet-edit p {
  /* color: var(--black); */
  color: #272727;
  font-size: 16px;
  font-family: var(--Poppins-font);
  font-weight: 500;
  text-align: justify;
  /*line-height: 1.6;*/
  margin-bottom: 8px;

  a {
    text-decoration: none;
  }
}
.blog-contnet-edit p:has(strong) {
  line-height: normal;
  margin-bottom: 6px;
  font-weight: 400;
}
.blog-contnet-edit h2 {
  color: #212020;
  font-size: 24px;
  letter-spacing: 0.2px;
  margin-bottom: 6px;
}
.blog-contnet-edit ul {
  padding-left: 25px;
  color: var(--black);
  font-size: 15.8px;

  p {
    text-align: left !important;
  }

  li {
    margin-bottom: 8px;
  }
}

.blog-contnet-edit ul li:has(p) {
  text-align: left !important;
}

.blog-contnet-edit h3 {
  margin-top: 17px;
  color: #212020;
  font-size: 22px;
}
.blog-contnet-edit strong {
  font-size: 17px;
  color: #212020;
}
.blog-contnet-edit p {
  strong {
    font-size: 16px;
    font-weight: 600;
  }
}

.blog-contnet-edit .image-div {
  width: 100%;
  height: 350px;
}

.blog-contnet-edit .blog-content-editor-img {
    margin-top: 15px;
  width: 100% !important;
  height: 100% !important;
  object-fit: cover !important;
}
.table-container {
  width: 100%;
  overflow-x: scroll;
}
.table-container::-webkit-scrollbar {
  width: 6px;
  height: 5px;
}

.table-container::-webkit-scrollbar-thumb {
  background-color: #cbd5e1;
  border-radius: 10px;
}

.table-container table {
  min-width: 1000px;
}

.blog-contnet-edit table th p {
  text-align: left;
  font-weight: 700;
  font-size: 14px;
}
.blog-contnet-edit table td p {
  text-align: left;
  font-size: 14px;
}

.blog-contnet-edit table {
  width: 100% !important;
  margin-top: 10px;
  margin-bottom: 10px;
  border: none;

  td,
  th {
    padding: 4px;
    max-width: 150px;
  }
  th {
    /* border: 1px solid var(--white); */
    background-color: var(--yellow);

    p {
      color: var(--black);
    }
  }
  td {
    border: 1px solid #cccccc;
  }
  .image-div {
    height: auto;
  }

  .blog-content-editor-img {
    width: 30px !important;
    height: 30px !important;
  }
}
.cta-box {
  background: linear-gradient(135deg, #084a79, #0099da);
  padding: 20px 40px;
  color: #fff;
  /* text-align: center; */
  margin: 10px 0;
  border-radius: 8px;

  h3 {
    color: var(--white);
    font-size: 25px;
  }
  p {
    color: var(--white);
    font-size: 16px;
    letter-spacing: 0.6px;
    text-align: left;
    margin-top: 8px;
  }
}

.cta-btn {
  background: var(--yellow);
  padding: 12px 30px;
  color: var(--black) !important;
  text-decoration: none;
  border-radius: 4px;
  display: inline-block;
  /* margin-top: 15px; */
  font-weight: 600;
}

/*  */

.blog-side-section {
  display: flex;
  justify-content: space-between;
  gap: 40px;
}

.left-side-blog {
  width: 65%;
}

.right-side-blog {
  width: 30%;
  position: sticky;
  top: 0px;
}

.toc-box {
  background: #f8fafc;
  padding: 20px;
  border-radius: 10px;
  border: 1px solid #eee;
}

.toc-box h3 {
  margin-bottom: 15px;
}

.toc-box ul {
  list-style: none;
  padding-left: 10px;
}

.toc-box li {
  margin-bottom: 8px;
}

.toc-wrapper {
  background-color: #ffffff;
  border: 1px solid #e5e7eb;
  border-radius: 8px;
  margin: 0 auto 30px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.05);
  overflow: hidden;
}

/* Header */
.toc-wrapper .toc-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 14px 20px;
  font-size: 18px;
  font-weight: 600;
  background-color: #f9fafb;
  border-bottom: 1px solid #e5e7eb;
}
#tocToggle {
  cursor: pointer;
}
#toc-list {
  max-height: 250px;
  overflow-y: scroll;
  list-style-type: none;
  padding: 6px;
  transition: all 0.3s ease-in-out;
}
#toc-list.active {
  max-height: 0px;
  overflow: hidden;
  padding: 0px;
}

#toc-list li {
  list-style: disc;
  list-style-position: inside;
  padding: 6px 20px;
  border-bottom: 1px solid #c2c2c4e3;

  a {
    color: #272727;
    text-decoration: none;
    font-weight: 600;
  }
}
#toc-list li:last-child {
  border-bottom: none;
}

/* Scrollbar Styling */
#toc-list::-webkit-scrollbar {
  width: 6px;
}

#toc-list::-webkit-scrollbar-thumb {
  background-color: #cbd5e1;
  border-radius: 10px;
}

.about-author-deatils {
  width: 100%;
  border: 1px solid #c2c2c4e3;
  margin-top: 60px;
  background-color: var(--white);
  box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.1);
  padding: 30px;
  position: relative;
}
.about-author-deatils button {
  padding: 10px 20px;
  background-color: var(--blue-dark);
  color: var(--white);
  border: none;
  outline: none;
  font-size: 17px;
  letter-spacing: 0.6px;
  font-weight: 500;
  border-top-left-radius: 30px;
  border-bottom-right-radius: 30px;
  position: absolute;
  top: -28px;
}

/* ======================
   SCROLL PROGRESS BAR
====================== */

/* recent-post-card */

.recent-post-card .toc-header {
  background-color: var(--blue-dark);
  padding: 12px 20px;
  color: var(--white);
}
.categories {
  padding: 0px 20px;
  padding-bottom: 8px;
}

.recent-post-card {
  width: 100%;
  height: auto;
  border: 1px solid #e9e7e7;
  margin-bottom: 20px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.212);
  .toc-header {
    margin-bottom: 16px;
    position: static;
    top: 0px;
  }

  .res-p-1 {
    display: flex;
    align-items: center;
    justify-content: start;
    gap: 10px;
    margin-bottom: 12px;

    a {
      line-height: 23px;
      font-size: 17px;
      text-decoration: none;
      font-weight: 600;
      color: var(--black);
    }
  }
  .ceta {
    font-size: 17px;
    font-weight: 700;
    letter-spacing: 0.6px;
    color: var(--black);
    position: relative;
    display: flex;
    align-items: center;
    cursor: pointer;

    &::before {
      content: "";
      display: inline-block;
      width: 20px;
      height: 5px;
      /* border-radius: 50%; */
      background-color: var(--yellow);
      margin-right: 10px;
    }
  }
}
.recent-post-card .res-img {
  width: 80px;
  border-radius: 5px;
}
.re-p {
  padding: 5px 20px;

  a {
    font-size: 14px !important;
    line-height: 0px !important;
  }
}

.faq-box {
  margin-top: 20px;
}
.faq-item {
  margin-bottom: 12px;
}

.faq-head {
  display: flex;
  justify-content: space-between;
  align-items: center;
  cursor: pointer;
  padding: 15px 20px;
  font-weight: 600;
  background-color: #f7f9fa;

  h3 {
    /* color: var(--white); */
    font-size: 18px;
    color: var(--black);
    opacity: 0.9;
  }
  i {
    transition: all 0.4s ease-in-out;
    color: black;
  }
}

.rot {
  transform: rotate(180deg);
}

.faq-ans {
  max-height: 0;
  overflow: hidden;
  transition: all 0.4s ease-in-out;
  padding-right: 30px;
  color: #555;
  padding: 0px 10px;
}
.faq-ans.open {
  max-height: 200px;
  padding: 10px 10px;
}

/* Blog List */

.all-bloglist {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 30px;
  margin-top: 30px;
  border-top: 1px solid var(--yellow);
  padding-top: 20px;
  /* overflow-y: visible; */
  overflow-x: scroll;
  &::-webkit-scrollbar {
    display: none;
  }
}
.all-bloglist .blog-card {
  min-width: 360px;
  height: auto;
  h2 {
    font-size: 17px;
    color: var(--black);
    margin-top: 20px;
  }

  p {
    font-size: 14px;
    letter-spacing: 0.6px;
    margin-top: 10px;
    color: var(--p-color);
    margin-bottom: 30px;
  }

  a {
    width: max-content;
    height: auto;
    padding: 10px 20px;
    background-color: var(--yellow);
    color: var(--dark-black);
    margin-top: 30px;
    text-decoration: none;
    font-weight: 500;
    border-radius: 4px;
  }
}
.all-bloglist .blog-card .blog-image {
  width: 100%;
  height: 200px;

  img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 4px;
  }
}

/* Blogs CSS FILE */

.blogs-container {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 30px;
  padding: 40px;
}
.blogs-container .blogs-card {
  width: 100%;
  height: 100%;
  padding: 20px;
  border: 1px solid #f7f9fa;
  display: flex;
  flex-direction: column;
  /* border-radius: 20px; */
  border-radius: 8px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.212);
}
.blogs-container .blogs-card .blogs-img {
  width: 100%;
  margin-bottom: 15px;
}

.blogs-container .blogs-card .blogs-title {
  font-size: 17px;
  letter-spacing: 0.5px;
  font-weight: 600;
  color: var(--black);
}
.blogs-container .blogs-card .blogs-desc {
  margin-top: 10px;
  font-size: 14px;
  color: var(--p-color);

  font-weight: 400;
  letter-spacing: 0.5px;
  margin-bottom: 10px;
}
.date-cate-div {
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: var(--p-color);
  font-weight: 500;
  font-size: 14px;
  letter-spacing: 0.6px;
  /* flex: 1; */
  margin-bottom: 20px;
}
.blogs-container .blogs-card .read-btn {
  width: max-content;
  text-decoration: none;
  padding: 12px 20px;
  background-color: var(--blue-dark);
  margin-top: auto;
  color: var(--white);
  letter-spacing: 0.5px;
  font-weight: 600;
  border-radius: 4px;
  display: flex;
  align-items: center;
  gap: 10px;
  i {
    transition: all 0.4s ease-in-out;
  }

  &:hover i {
    transform: translateX(8px);
  }
}
.link-line-2 {
  display: none;
}

@media (max-width: 1200px) {
  .date-cate-div {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: start;
  }
  .blog-container {
    padding: 20px 20px;
  }
  .blog-side-section {
    gap: 20px;
  }

  .link-line-1 {
    display: none;
  }
  .link-line-2 {
    display: flex;
  }
  .blog-side-section .left-side-blog {
    padding-top: 20px;
  }
}
@media (max-width: 900px) {
  .blogs-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
    padding: 20px;
  }
  .date-cate-div {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    font-size: 13px;
    font-weight: 500;
  }
}
@media (max-width: 768px){
    .blog-side-section {
        flex-wrap: wrap;
    }
    .blog-side-section .left-side-blog {
        width: 100%;
    }
    .right-side-blog {
        width: 100%;
    }
}
@media (max-width: 600px) {
  .blogs-container {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
  }
  .navigation-lin {
    column-gap: 0px;
    row-gap: 5px;
  }
  .navigation-lin span,
  .navigation-lin a {
    font-size: 12px !important;
  }
  .blog-side-section {
    flex-direction: column;
  }
  .blog-side-section .left-side-blog {
    width: 100%;
    border: none;
    padding: 0px;
    box-shadow: none;
  }
  .blog-side-section .left-side-blog .author-info {
    .div-auth {
      display: flex;
      align-items: center;
      gap: 12px;
    }
  }
  .blog-side-section .left-side-blog .author-info {
    flex-direction: column;
    align-items: start;
  }
  h1 {
    /* text-align: center; */
    font-size: 19px;
    margin-bottom: 10px;
  }
  .blog-contnet-edit h2 {
    font-size: 20px;
  }
  .table-container table {
    min-width: 800px;
  }

  .blog-contnet-edit h3 {
    font-size: 18px;
  }
  .blog-side-section .left-side-blog .author-info {
    gap: 5px;
    .author-image {
      min-width: 40px;
      height: 40px;
    }
    .category,
    .viewer,
    .post-date,
    .author-name {
      font-size: 15px;
    }
  }
  .social-div {
    img {
      width: 30px;
      /* display: none; */
    }
  }
  .title-img {
    margin: 10px 0px;
  }
  .short-dec,
  .blog-contnet-edit p {
    margin-bottom: 8px;
    font-size: 15px;
    text-align: left;
  }
  .cta-box {
    padding: 12px;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    h3 {
      text-align: center;
      line-height: 1.2;
      font-size: 20px;
    }
    p {
      text-align: center;
      line-height: 1.4;
      font-size: 13px;
    }
    .cta-btn {
      margin: 0px auto;
    }
  }

  p {
    a {
      text-align: start;
    }
  }
  .faq-head {
    /* align-items: start; */
  }
  .faq-head {
    h3 {
      font-size: 16px;
    }
  }
  .right-side-blog {
    width: 100%;
  }
  .toc-wrapper {
    /* display: none; */
  }
  #toc-list li a {
    font-size: 14px !important;
  }
  .blog-contnet-edit .image-div {
    width: 100%;
    height: auto;
    margin-bottom: 0px;
  }
  .blog-contnet-edit .blog-content-editor-img {
    width: 100% !important;
    height: auto !important;
  }
  .blog-side-section {
    gap: 10px;
  }
  .blog-side-section .left-side-blog {
    margin-bottom: 0px;
  }
}
